@media (max-width: 1300px) {
    .main-content {
        min-height: calc(100vh - 96px);
    }
}

@media (width: 768px) and (height: 1024px) {
    .main-content {
        min-height: 100vh;
    }

    .sidebar {
        max-height: none;
    }

    .sidebar-footer {
        margin-bottom: 140px;
    }
}

@media (max-width: 767px) {
    .header-nav p {
        display: none;
    }

    .hide-in-resp {
        display: none;
    }

    .hide-for-desktop {
        display: unset;
    }

    .avatar-menu {
        transition: opacity 0.5s, transform 0.3s, visibility 0.3s;
        right: 0px;
    }

    .header-nav {
        padding: 20px 16px;
    }

    .body {
        flex-direction: column-reverse;
    }

    .logo-section {
        display: none;
    }

    .sidebar-nav {
        justify-content: space-evenly;
        flex-direction: row;
        gap: 0px;
        padding: 0px;
    }

    .sidebar-nav-section {
        flex-direction: column;
        flex: 1;
        padding: 8px 0px;
        border-radius: 16px;
    }

    .sidebar-footer {
        display: none;
    }

    .sidebar {
        position: sticky;
        bottom: 0px;
        min-height: 0px;
        line-height: 100%;
    }

    .main-content {
        padding: 16px 64px;
    }

    .logo-responsive {
        display: block !important;
        height: 56px;
    }

    .public-links {
        display: flex;
    }

    .public-links a {
        padding: 20px 4px;
    }

    .flex-none {
        flex: none;
    }

    .log-out {
        padding: 8px 16px;
    }
}

@media (max-height: 750px) {
    .sidebar_upper_section {
        gap: 40px;
    }

    .sidebar-footer {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .sidebar {
        overflow-y: auto;
    }
}